Subject: bug#59742: server-tests failures

From: Jim Porter <[email-masked]>
Date: Thu, 1 Dec 2022 09:24:19 -0800

On 12/1/2022 7:01 AM, Mattias Engdegård wrote:
> At least the batch-mode tests would cease failing if we just applied the following:
> 
>   (defconst server-tests/can-create-frames-p
> -  (not (memq system-type '(windows-nt ms-dos)))
> +  (and window-system (not (memq system-type '(windows-nt ms-dos))))
> 
> Any reason not to?

These tests pass on GNU/Linux when 'window-system' is nil, so I think 
we'd need a different way to check things.

> Even so, there is still a failure if run interactively (M-x ert), and a created frame isn't removed properly.

I'll see if I can improve the tests when run interactively, though I'm 
not sure that will affect the first part of this bug.